#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		daemon		sshd
#-----------------------------------------------------------------------------
Name		:	mandoc
Version		:	1.14.6
Release		:	14.4.0.0%{?dist}
Summary		:	A suite of tools for compiling mdoc and man
	
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ISC
URL		:	https://mandoc.bsd.lv/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	zlib-devel

#-----------------------------------------------------------------------------
%description
mandoc is a suite of tools compiling mdoc, the roff
macro language of choice for BSD manual pages, and man,
the predominant historical language for UNIX manuals.
It is small, ISO C, ISC-licensed, and quite fast.
The main component of the toolset is the mandoc utility
program, based on the libmandoc validating compiler,
to format output for UTF-8 and ASCII UNIX terminals,
HTML 5, PostScript, and PDF.

#-----------------------------------------------------------------------------
%files 
%defattr(-,root,root,-)
%license LICENSE
%{_bindir}/demandoc
%{_bindir}/mandoc
%{_bindir}/man.mandoc
%{_bindir}/apropos.mandoc
%{_bindir}/soelim.mandoc
%{_bindir}/whatis.mandoc
%{_sbindir}/makewhatis.mandoc
%{_mandir}/man1/demandoc.1.gz
%{_mandir}/man1/mandoc.1.gz
%{_mandir}/man1/*.mandoc.1.gz
%{_mandir}/man5/mandoc.conf.5.gz
%{_mandir}/man5/mandoc.db.5.gz
%{_mandir}/man7/mandoc_char.7.gz
%{_mandir}/man7/mdoc.7.gz
%{_mandir}/man7/*.mandoc.7.gz
%{_mandir}/man8/makewhatis.mandoc.8.gz

#=============================================================================
%package		-n libmandoc-devel
Summary		:	Development libraries and headers for libmandoc
	
#-----------------------------------------------------------------------------
%description 		-n libmandoc-devel
The mandoc library parses a UNIX manual into an abstract
syntax tree (AST).
UNIX manuals are composed of mdoc(7) or man(7), and may be
mixed with roff(7), tbl(7), and eqn(7) invocations.

#-----------------------------------------------------------------------------
%files 			-n libmandoc-devel
%defattr(-,root,root,-)
%license LICENSE
%{_includedir}/*.h
%{_mandir}/man3/mandoc.3.gz
%{_mandir}/man3/mandoc_escape.3.gz
%{_mandir}/man3/mandoc_malloc.3.gz
%{_mandir}/man3/mansearch.3.gz
%{_mandir}/man3/mchars_alloc.3.gz
%{_mandir}/man3/tbl.3.gz

# The shared library package has been removed per discussion with the
# upstream maintainer.  If using the library, the static library is
# preferred because the API is not stable.
%{_libdir}/libmandoc.a
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

# NB: not an autoconf script
# settings are read in through configure.local
echo 'PREFIX=%{_prefix}'   >  configure.local
echo 'BINDIR=%{_bindir}'   >> configure.local
echo 'SBINDIR=%{_sbindir}' >> configure.local
echo 'MANDIR=%{_mandir}'   >> configure.local
echo 'INCLUDEDIR=%{_includedir}' >> configure.local
echo 'LIBDIR=%{_libdir}'   >> configure.local

# with default settings rpmlint complains about
#cross-directory hardlinks
echo 'LN="ln -sf"' >> configure.local
	
echo 'MANM_MANCONF=mandoc.conf'          >> configure.local

# override the install permissions so that owner-write bits are set,
# so rpmbuild can do whatever modifications it does post-%%install
echo 'INSTALL_PROGRAM="${INSTALL} -m 0755"' >> configure.local
echo 'INSTALL_LIB="${INSTALL} -m 0755"'     >> configure.local
echo 'INSTALL_MAN="${INSTALL} -m 0644"'     >> configure.local
echo 'INSTALL_DATA="${INSTALL} -m 0644"'    >> configure.local
echo 'INSTALL_LIBMANDOC=1' >> configure.local
echo 'CFLAGS="%{optflags} -fPIC"' >> configure.local

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Ensure headers do not have the execute bit set
chmod -x %{buildroot}%{_includedir}/*.h
	
# Rename files for alternative usage
%{__mv}							\
	%{buildroot}%{_bindir}/man			\
	%{buildroot}%{_bindir}/man.mandoc
%{__mv}							\
	%{buildroot}%{_bindir}/apropos			\
	%{buildroot}%{_bindir}/apropos.mandoc
%{__mv}							\
	%{buildroot}%{_bindir}/whatis			\
	%{buildroot}%{_bindir}/whatis.mandoc
%{__mv}							\
	%{buildroot}%{_bindir}/soelim			\
	%{buildroot}%{_bindir}/soelim.mandoc
%{__mv}							\
	%{buildroot}%{_sbindir}/makewhatis		\
	%{buildroot}%{_sbindir}/makewhatis.mandoc
%{__mv}							\
	%{buildroot}%{_mandir}/man1/apropos.1		\
	%{buildroot}%{_mandir}/man1/apropos.mandoc.1
%{__mv}							\
	%{buildroot}%{_mandir}/man1/man.1		\
	%{buildroot}%{_mandir}/man1/man.mandoc.1
%{__mv}							\
	%{buildroot}%{_mandir}/man1/soelim.1		\
	%{buildroot}%{_mandir}/man1/soelim.mandoc.1
%{__mv}							\
	%{buildroot}%{_mandir}/man1/whatis.1		\
	%{buildroot}%{_mandir}/man1/whatis.mandoc.1
%{__mv}							\
	%{buildroot}%{_mandir}/man7/man.7		\
	%{buildroot}%{_mandir}/man7/man.mandoc.7
%{__mv}							\
	%{buildroot}%{_mandir}/man7/roff.7		\
	%{buildroot}%{_mandir}/man7/roff.mandoc.7
%{__mv}							\
	%{buildroot}%{_mandir}/man7/eqn.7		\
	%{buildroot}%{_mandir}/man7/eqn.mandoc.7
%{__mv}							\
	%{buildroot}%{_mandir}/man7/tbl.7		\
	%{buildroot}%{_mandir}/man7/tbl.mandoc.7
%{__mv}							\
	%{buildroot}%{_mandir}/man8/makewhatis.8	\
	%{buildroot}%{_mandir}/man8/makewhatis.mandoc.8

#-----------------------------------------------------------------------------
%changelog
